Bug Hunting Session
Bug 38565 - bug for all enhancements around local range names that are still missing
Summary: bug for all enhancements around local range names that are still missing
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
3.4.1 RC1
Hardware: All All
: medium enhancement
Assignee: Markus Mohrhard
URL: http://wiki.documentfoundation.org/De...
Whiteboard: target:3.5
Keywords:
Depends on:
Blocks:
 
Reported: 2011-06-22 04:58 UTC by Markus Mohrhard
Modified: 2011-12-17 11:46 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Markus Mohrhard 2011-06-22 04:58:23 UTC
https://bugs.freedesktop.org/show_bug.cgi?id=38380

Add missing enhancements for local range names here
Comment 1 Markus Mohrhard 2011-06-22 05:02:13 UTC
(comment fdo#38380#7)
> The navigator is the docking window which shows all the names, database ranges,
> objects, scenarios and other sheets when you hit F5.
> The name box is the combo box left of the formula bar. It accepts valid range
> addresses, data range names and unambiguous named expressions, i.e. named
> expressions referring to a completely absolute range address (single range
> $Sheet.$A$1 or $Sheet.$A$1:$X$99 with 3 or 5 dollar signs respectively). 
> When you type something into that box which is neither an existing data range
> name, named expression nor a valid address string, a new, completely absolute
> range name will be created. If the entered expression points to some range
> unambiguously, the range gets selected.
Comment 2 Markus Mohrhard 2011-06-22 10:02:43 UTC
(comment fdo#38380#9)
> And while we are in the matter of this completely flawed implementation:
> Create a name on sheet level, say XName refers to Sheet1.A1
> Create a reference, say B1 =XName and enter something in XName
> Select another cell, say A2 and enter something.
> Now type XName into the name box which will create another XName on document
> level making all references point to this one.
Comment 3 Markus Mohrhard 2011-06-22 17:57:19 UTC
import/export to xls/xlsx don't respect local range names

haven't looked closer into it
Comment 4 Markus Mohrhard 2011-06-23 19:37:47 UTC
https://bugs.freedesktop.org/show_bug.cgi?id=37763
Comment 5 Markus Mohrhard 2011-06-27 20:58:24 UTC
issue in comment2 should be fixed in master
Comment 6 Markus Mohrhard 2011-06-28 20:44:59 UTC
export to xlsx works now in master

xls export/import should be done by Kohei already
Comment 7 Markus Mohrhard 2011-07-03 09:50:02 UTC
https://bugs.freedesktop.org/show_bug.cgi?id=37550

Input line does not help with auto-completion for local range names.
Comment 8 gibi 2011-07-23 14:32:49 UTC
Adding myself to CC list in order to help to test it.
Comment 9 Markus Mohrhard 2011-09-23 10:01:41 UTC
all information are now collected at: http://wiki.documentfoundation.org/Design/Whiteboard/Calc_Range_Names
Comment 10 Markus Mohrhard 2011-09-23 10:02:39 UTC
xlsx import is still missing
Comment 11 Markus Mohrhard 2011-10-01 11:26:02 UTC
api is missing
Comment 12 Markus Mohrhard 2011-10-01 11:26:31 UTC
https://bugs.freedesktop.org/show_bug.cgi?id=41385
Comment 13 Markus Mohrhard 2011-10-26 08:17:26 UTC
api is implemented now: syntax for e.g. Basic: ThisComponent.sheets(0).rangeNames
Comment 14 Markus Mohrhard 2011-10-26 08:21:00 UTC
changes to name box and navigator are implemented
Comment 15 Markus Mohrhard 2011-10-27 15:17:57 UTC
xlsx import is implemented in master
Comment 16 Markus Mohrhard 2011-12-17 11:46:34 UTC
everything important from this bug is now implemented and should be in 3.5